# MPI_Request_c2f

converts MPI_Request to Fortran INTEGER

## Synopsis

    MPI_Fint MPI_Request_c2f(MPI_Request request)

## Input Parameters

request
  communication request (handle)

## Thread and Interrupt Safety

This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as `malloc` or other non-MPICH runtime routines that are themselves not interrupt-safe.